Skip to navigation

Verify Electricity Meter Number

View as Markdown

Looks up a meter number with the distribution company (disco) and returns the registered customer name and address. Call this before POST /v1/electricity/purchase.

disco is the provider service ID and is forwarded verbatim:

discoProvider
ikeja-electricIkeja Electric (Lagos)
eko-electricEko Electricity (Lagos)
abuja-electricAbuja Electricity (AEDC)
ibadan-electricIbadan Electricity (IBEDC)
kano-electricKano Electricity (KEDCO)
portharcourt-electricPort Harcourt Electricity (PHED)
enugu-electricEnugu Electricity (EEDC)
jos-electricJos Electricity (JED)
kaduna-electricKaduna Electricity (KAEDCO)
benin-electricBenin Electricity (BEDC)

Authentication

AuthorizationBearer

API key issued from the VTUAgent dashboard, sent as Authorization: Bearer {your_api_key}.

Request

This endpoint expects an object.
discoenumRequired
Provider service ID, forwarded verbatim.
meter_numberstringRequired
meter_typeenumRequired
Allowed values:

Response

Meter verified
statusenum
Allowed values:
status_codeenum
Allowed values:
messagestring
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
424
Failed Dependency Error
500
Internal Server Error